org.eclipse.net4j.util.options

## Class OptionsEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.event.Event
    - - org.eclipse.net4j.util.options.OptionsEvent

- All Implemented Interfaces:
    java.io.Serializable, IEvent, IOptionsEvent

      public class OptionsEvent
      extends Event
      implements IOptionsEvent

  The default implementation of an `options event`.
  Since:
    2.0
  Author:
    Victor Roldan Betancort
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptionsEvent(IOptions source)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IOptions` | `getSource()`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Event

      `formatAdditionalParameters, formatEventName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OptionsEvent

          public OptionsEvent(IOptions source)

  - ### Method Detail

    - #### getSource

          public IOptions getSource()

      Specified by:
        `getSource` in interface `IEvent`
      Specified by:
        `getSource` in interface `IOptionsEvent`
      Overrides:
        `getSource` in class `Event`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html